PLATINUM DOCS
ApiSandboxes

POST /v1/sandboxes/{id}/volumes/{mount}

POST
/v1/sandboxes/{id}/volumes/{mount}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
mount*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

{mount} is the URL-encoded absolute mount path (e.g. %2Fdata).

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/sandboxes/string/volumes/string" \  -H "Content-Type: application/json" \  -d '{    "volume": "string"  }'
{  "id": "string",  "sandbox_id": "string",  "volume_id": "string",  "volume_name": "string",  "mount_path": "string",  "read_only": true,  "subdir": "string",  "state": "pending",  "generation": 0,  "base_commit_id": "string",  "mounted_commit_id": "string",  "last_commit_id": "string",  "last_commit_at": "string",  "dirty_bytes": 0,  "unflushed": true,  "created_at": "string"}
{  "id": "string",  "sandbox_id": "string",  "volume_id": "string",  "volume_name": "string",  "mount_path": "string",  "read_only": true,  "subdir": "string",  "state": "pending",  "generation": 0,  "base_commit_id": "string",  "mounted_commit_id": "string",  "last_commit_id": "string",  "last_commit_at": "string",  "dirty_bytes": 0,  "unflushed": true,  "created_at": "string"}
Empty
{  "error": "string",  "code": "string"}